Package com.sas.lsaf.workflow.element

## Class CompletedSignalEvent

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.workflow.element.CompletedElement
    - - com.sas.lsaf.workflow.element.CompletedEvent
      - - com.sas.lsaf.workflow.element.CompletedSignalEvent

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`

      public class CompletedSignalEvent
      extends CompletedEvent

  The class that represents a completed signal event in a process flow
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sas.lsaf.workflow.element.CompletedElement

      `CompletedElement.TaskCompletedState`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompletedSignalEvent​(java.lang.String typeId, java.lang.String id, java.lang.String elementId, java.lang.String processFlowId, java.lang.String name, java.lang.String description, Element.ElementType type, java.util.Date created, java.lang.String completedBy, java.util.Date completed, java.lang.String signalName, java.lang.String signaledBy, CompletedElement.TaskCompletedState completedState)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getSignaledBy()` | Gets the item that triggered the signal event.
    `java.lang.String` | `getSignalName()` | Gets the signal name that triggered the signal event.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.workflow.element.CompletedElement

      `getCompleted, getCompletedBy, getCompletedState, getCreated, getDescription, getElementId, getName, getProcessFlowId, getType`

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `equals, getId, getTypeId, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CompletedSignalEvent

          public CompletedSignalEvent​(java.lang.String typeId,
                                      java.lang.String id,
                                      java.lang.String elementId,
                                      java.lang.String processFlowId,
                                      java.lang.String name,
                                      java.lang.String description,
                                      Element.ElementType type,
                                      java.util.Date created,
                                      java.lang.String completedBy,
                                      java.util.Date completed,
                                      java.lang.String signalName,
                                      java.lang.String signaledBy,
                                      CompletedElement.TaskCompletedState completedState)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the completed events returned by the API.
      Parameters:
        `typeId` - The object type id of the event.
        `id` - The unique identifier of the event.
        `elementId` - The identifier of the event as it appears in the process flow definition.
        `processFlowId` - The identifier of the process flow that contains the element.
        `name` - The name of the event.
        `description` - The description of the event.
        `type` - The type of the event.
        `created` - The date on which the event was completed.
        `completedBy` - The user who completed the event.
        `completed` - The date on which the event was created.
        `completedState` - The completed state of the element
        `signalName` - The signal name that triggered the signal event.
        `signaledBy` - The item that triggered the signal event.

  - ### Method Detail

    - #### getSignalName

          public java.lang.String getSignalName()

      Gets the signal name that triggered the signal event.
      Returns:
        The signal name.

    - #### getSignaledBy

          public java.lang.String getSignaledBy()

      Gets the item that triggered the signal event.
      Returns:
        The item.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `CompletedElement`